org.omg.PortableServer

## Class ForwardRequest

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.omg.CORBA.UserException
      - - org.omg.PortableServer.ForwardRequest

All Implemented Interfaces:
  Serializable, IDLEntity

    public final class ForwardRequest
    extends UserException

org/omg/PortableServer/ForwardRequest.java . Generated by the IDL-to-Java compiler (portable), version "3.2" from /build/openjdk-8-G7KKow/openjdk-8-8u492-ga~us2/src/corba/src/share/classes/org/omg/PortableServer/poa.idl Tuesday, April 28, 2026 11:04:20 PM UTC

### Field Summary

Fields
`Object` `forward_reference`

### Constructor Summary

Constructors
Constructor and Description
`ForwardRequest()`
`ForwardRequest(Object _forward_reference)`
`ForwardRequest(String $reason, Object _forward_reference)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### forward_reference

    public Object forward_reference

### Constructor Detail

#### ForwardRequest

    public ForwardRequest()

#### ForwardRequest

    public ForwardRequest(Object _forward_reference)

#### ForwardRequest

    public ForwardRequest(String $reason,
                          Object _forward_reference)